# Uses of Enum Class
org.eclipse.emf.compare.command.CommandStackEvent.Operation

Packages that use CommandStackEvent.Operation
Package
Description
org.eclipse.emf.compare.command
org.eclipse.emf.compare.command.impl

## Uses of CommandStackEvent.Operation in org.eclipse.emf.compare.command

Methods in org.eclipse.emf.compare.command that return CommandStackEvent.Operation
Modifier and Type
Method
Description
`CommandStackEvent.Operation`
CommandStackEvent.`getOperation()`
Returns the type of this event.
`static CommandStackEvent.Operation`
CommandStackEvent.Operation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CommandStackEvent.Operation[]`
CommandStackEvent.Operation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.emf.compare.command with parameters of type CommandStackEvent.Operation
Modifier
Constructor
Description
``
`CommandStackEvent(CommandStack commandStack, CommandStackEvent.Operation type)`
Constructor.

## Uses of CommandStackEvent.Operation in org.eclipse.emf.compare.command.impl

Methods in org.eclipse.emf.compare.command.impl with parameters of type CommandStackEvent.Operation
Modifier and Type
Method
Description
`protected void`
TransactionalDualCompareCommandStack.`notifyListeners(CommandStack commandStack, CommandStackEvent.Operation operation)`
This is called to ensure that `CommandStackListener.commandStackChanged(java.util.EventObject)` is called for each listener.